#ifndef TESTTIMME_CONSTANTS_H
#define TESTTIMME_CONSTANTS_H
static const double
        zero = 0.00000000000000000000e+00,
        one = 1.00000000000000000000e+00,
        epsilon = 8.47e-22,                 // 1/1180591620717411303424 = 2^(-70)
        two52 = 4.503599627370496e+15,      // 2^52

        xmin = 1.46163214496836224576e+00,  /* точка минимума                       */
        tf = -1.21486290535849611461e-01,  /* константа для [1.23164,1.73163]      */
        tt = -3.63867699703950536541e-18,  /* хвост константы                      */
        t0 = 4.83836122723810047042e-01,  /* t0-t14 - коэфы для [1.23164,1.73163] */
        t1 = -1.47587722994593911752e-01,
        t2 = 6.46249402391333854778e-02,
        t3 = -3.27885410759859649565e-02,
        t4 = 1.79706750811820387126e-02,
        t5 = -1.03142241298341437450e-02,
        t6 = 6.10053870246291332635e-03,
        t7 = -3.68452016781138256760e-03,
        t8 = 2.25964780900612472250e-03,
        t9 = -1.40346469989232843813e-03,
        t10 = 8.81081882437654011382e-04,
        t11 = -5.38595305356740546715e-04,
        t12 = 3.15632070903625950361e-04,
        t13 = -3.12754168375120860518e-04,
        t14 = 3.35529192635519073543e-04,

        a0 = 7.72156649015328655494e-02, /* a0-a11 - коэфы для [1.7316,2]         */
        a1 = 3.22467033424113591611e-01,
        a2 = 6.73523010531292681824e-02,
        a3 = 2.05808084325167332806e-02,
        a4 = 7.38555086081402883957e-03,
        a5 = 2.89051383673415629091e-03,
        a6 = 1.19270763183362067845e-03,
        a7 = 5.10069792153511336608e-04,
        a8 = 2.20862790713908385557e-04,
        a9 = 1.08011567247583939954e-04,
        a10 = 2.52144565451257326939e-05,
        a11 = 4.48640949618915160150e-05,

        u0 = -7.72156649015328655494e-02, /* u0-v5 - коэфы для [1.0,1.23164]       */
        u1 = 6.32827064025093366517e-01,
        u2 = 1.45492250137234768737e+00,
        u3 = 9.77717527963372745603e-01,
        u4 = 2.28963728064692451092e-01,
        u5 = 1.33810918536787660377e-02,
        v1 = 2.45597793713041134822e+00,
        v2 = 2.12848976379893395361e+00,
        v3 = 7.69285150456672783825e-01,
        v4 = 1.04222645593369134254e-01,
        v5 = 3.21709242282423911810e-03,

        s0 = -7.72156649015328655494e-02, /* s0-r5 - коэфы для [2.0,8.0]           */
        s1 = 2.14982415960608852501e-01,
        s2 = 3.25778796408930981787e-01,
        s3 = 1.46350472652464452805e-01,
        s4 = 2.66422703033638609560e-02,
        s5 = 1.84028451407337715652e-03,
        s6 = 3.19475326584100867617e-05,
        r1 = 1.39200533467621045958e+00,
        r2 = 7.21935547567138069525e-01,
        r3 = 1.71933865632803078993e-01,
        r4 = 1.86459191715652901344e-02,
        r5 = 7.77942496381893596434e-04,
        r6 = 7.32668430744625636189e-06,
        pi = 3.141592653589793238462643383279,
        half = 5.00000000000000000000e-01,

        w0  =  4.18938533204672725052e-01,
        w1  =  8.33333333333329678849e-02,
        w2  = -2.77777777728775536470e-03,
        w3  =  7.93650558643019558500e-04,
        w4  = -5.95187557450339963135e-04,
        w5  =  8.36339918996282139126e-04,
        w6  = -1.63092934096575273989e-03;
#endif //TESTTIMME_CONSTANTS_H
